# eoBooleanInit Class Reference

The class eoBooleanInit can be used in the STL apply function to easily generate random booleans with a specified bias. More...

`#include <eoUniformInit.h>`

Inheritance diagram for eoBooleanInit:

List of all members.

## Public Member Functions

| eoBooleanInit (float _bias=0.5, eoRng &_rng=rng)
void | operator() (bool &_b)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

float | bias
eoRng & | gen

## Detailed Description

The class eoBooleanInit can be used in the STL apply function to easily generate random booleans with a specified bias.

Definition at line 110 of file eoUniformInit.h.

The documentation for this class was generated from the following file:

- eoUniformInit.h